javax.faces.flow.builder

## Class SwitchBuilder

- java.lang.Object
- - javax.faces.flow.builder.SwitchBuilder

- All Implemented Interfaces:
    NodeBuilder

      public abstract class SwitchBuilder
      extends Object
      implements NodeBuilder

  Create a switch node in the current `Flow`.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwitchBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SwitchCaseBuilder` | `defaultOutcome(String outcome)` Set the default outcome of the current switch.
    `abstract SwitchCaseBuilder` | `defaultOutcome(ValueExpression outcome)` Set the default outcome of the current switch.
    `abstract SwitchBuilder` | `markAsStartNode()` Mark this node as the start node in the flow.
    `abstract SwitchCaseBuilder` | `switchCase()` Create a switch case in the current switch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwitchBuilder

          public SwitchBuilder()

  - ### Method Detail

    - #### switchCase

          public abstract SwitchCaseBuilder switchCase()

      Create a switch case in the current switch.

      Since:
        2.2

    - #### defaultOutcome

          public abstract SwitchCaseBuilder defaultOutcome(String outcome)

      Set the default outcome of the current switch.

      Parameters:
        `outcome` - A `ValueExpression` `String` that will be the default outcome of the switch.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### defaultOutcome

          public abstract SwitchCaseBuilder defaultOutcome(ValueExpression outcome)

      Set the default outcome of the current switch.

      Parameters:
        `outcome` - A `ValueExpression` that will be the default outcome of the switch.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### markAsStartNode

          public abstract SwitchBuilder markAsStartNode()

      Description copied from interface: `NodeBuilder`

      Mark this node as the start node in the flow. Any other node that had been marked as the start node will no longer be the start node.

      Specified by:
        `markAsStartNode` in interface `NodeBuilder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.